Subject: Re: bug#17696: 答复: bug#17696: Get an error message "File mode specification error: (invalid-function with-file-modes)"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jun 2014 17:44:42 +0300

> From: Lin Sun (孙林) <[email-masked]>
> Date: Thu, 5 Jun 2014 03:01:56 +0000
> 
> I think the `with-file-modes' maybe have problem on MS Windows.
> I compile the emacs 24.4 from git source with MinGW32 on windows, and start Emacs in command line:
> Emacs -Q
> Then open an empty org file "a.org" for example, the the error message 
> "File mode specification error: (invalid-function with-file-modes)"
> appear on minibuffer.
> 
> Could you evaluate the `with-file-modes' is proper for Windows or not, please. 

There's nothing wrong with with-file-modes on Windows.  The Windows
port of Emacs supports that macro as much as it can (which is to say
it only caters to the user-write bit in the argument MODE).

FWIW, I have no problems visiting a .org file on MS-Windows, I see no
error like the one you reported.